html {
  background-image: linear-gradient(to top, #f1f4ff 25%, #fff 100%);
}

body {
  display: flex;
  flex-direction: column;
  height: 100vh;
  min-height: 100vh;
  overflow: hidden;
  background: none !important;
}

body > .page-builder-template {
  background: none !important;
}

.wrapper-default.page-builder-template > #content > .page-builder-content {
  background: none !important;
  min-height: unset !important;
  padding-top: 80px !important;
}

.page-builder-content .section-raw-html,
.page-builder-content .section-raw-html > .section-layout-fluid > .content > .wrapper {
  padding: 0 !important;
}

#headerdesktopnav .topnavFirst {
  display: none !important;
}

#bat-report-download-btn {
  opacity: 0;
  transition: opacity 0.25s ease-in-out;
}

#new-footer {
  display: none !important;
}

#bat-footer {
  background: url(https://assets.thryv.com/prod/media/footer-shadow.png) center bottom no-repeat;
  background-size: 100% auto;
  background-position: center calc(100% + -2px);
}

#bat-footer .thryver {
  margin: 50px auto -5px;
  max-width: 500px;
  width: 100%;
}

.bat-step {
  height: calc(100vh - 80px);
}

body.logged-in.admin-bar .bat-step {
  height: calc(100vh - 112px);
}

#bat-step1 {
  display: flex;
}

input#bat-url-input {
  min-height: 45px;
  height: 60px;
  border-radius: 100px;
  padding: 10px 80px 10px 30px;
}

input#bat-url-input::placeholder {
  color: rgba(0, 0, 0, 0.3) !important;
}

input#bat-url-input:focus {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 0px 2px;
}

button#bat-url-submit {
  top: 0;
  height: 60px;
  right: 0;
  background: #ff5000;
  border: 0;
  appearance: none;
  box-shadow: none;
  padding: 20px;
  border-radius: 100%;
  color: #fff;
  width: 60px;
  height: 60px;
}

input.is-invalid {
  box-shadow: rgb(255 80 0 / 20%) 0px 0px 0px 4px !important;
}

label.is-invalid {
  color: #ff5000 !important;
  font-weight: 600 !important;
  padding-top: 8px !important;
  margin-bottom: 0 !important;
}

#bat-step2 {
  overflow-y: auto;
}

#bat-step2.gated {
  overflow: hidden;
}

#bat-full-report {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  padding: 0;
}

#bat-full-report > iframe {
  width: 100vw;
  height: 100%;
  padding: 0 !important;
  border: 0 !important;
  background-image: url(https://assets.thryv.com/prod/media/bat-report-preload-img.png);
  background-size: cover;
  background-position: center top;
}

#bat-step2.gated #bat-full-report > iframe {
  filter: blur(5px) !important;
}

#bat-step2.gated #bat-full-report:after {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  cursor: default !important;
  z-index: 1000;
  background: rgba(0, 0, 0, 0.43);
}

#bat-report-lead-capture {
  background-color: #29355d;
  bottom: 0;
  left: 0;
  z-index: 99999;
  transition: all 0.25s ease-in-out;
}

#bat-step2.ungated #bat-report-lead-capture {
  transform: translateY(150%);
  opacity: 0;
}

#bat-report-lead-capture .thryver {
  margin-bottom: -8px;
  position: absolute;
  bottom: 0;
  right: 0;
}

@media only screen and (min-width: 1650px) {
  #bat-report-lead-capture .thryver {
    max-width: 520px !important;
  }
}

@media only screen and (max-width: 991px) {
  #bat-report-lead-capture .thryver {
    position: relative;
    max-width: 240px;
    margin-right: auto !important;
    margin-bottom: -4px;
  }
}

.bat-lead-capture-form fieldset {
  overflow: hidden;
}

.bat-lead-capture-form .hs-form-field .input {
  position: relative;
  z-index: 1;
}

.bat-lead-capture-form .input {
  margin-right: 0 !important;
}

.bat-lead-capture-form .hs-input:not([type="checkbox"]) {
  width: 100% !important;
  height: calc(1.5em + 0.75rem + 2px);
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #fff !important;
  border-radius: 0.25rem;
  padding: 20px 16px !important;
  font-size: 14px !important;
}

.bat-lead-capture-form .hs-input:not([type="checkbox"]):focus-visible {
  outline-color: #fff !important;
}

.bat-lead-capture-form .hs-input.invalid,
.bat-lead-capture-form .hs-input.error {
  border-color: #dc3545;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right calc(0.375em + 0.1875rem) center;
  background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

.bat-lead-capture-form .hs-form-field .hs-error-msgs {
  width: 100%;
  margin-top: 0.25rem;
  margin-bottom: 0.25rem;
  font-size: 80%;
  color: #ff5000;
  list-style: none;
  padding: 0;
}

.bat-lead-capture-form .hs-form-field .hs-error-msgs label {
  padding-top: 0.25rem;
  color: #ff5000 !important;
  line-height: 1.3;
  margin-bottom: 0 !important;
}

.bat-lead-capture-form .hs-form-field:not(.hs-recaptcha, .hs-fieldtype-booleancheckbox) {
  margin-bottom: 1rem !important;
}

.bat-lead-capture-form .hs-form-field.hs-recaptcha {
  display: none !important;
}

.bat-lead-capture-form .hs-form-field label {
  color: #ffffff !important;
  font-weight: 600 !important;
  font-size: 13px !important;
  line-height: 1;
  padding: 5px;
  position: relative;
  z-index: 2;
}

.bat-lead-capture-form .hs-submit {
  padding: 0 !important;
}

.bat-lead-capture-form .hs-submit input {
  border-radius: 30px !important;
  background-color: #ff5000 !important;
}

.bat-lead-capture-form .hs-submit .hs-button {
  background-color: #ff5000;
  color: #fff !important;
  border-radius: 30px;
  display: inline-block;
  cursor: pointer;
  padding: 12px 80px !important;
  font-size: 14px !important;
  appearance: none !important;
}

.bat-lead-capture-form .legal-consent-container {
  padding-left: 0px;
  font-size: 12px !important;
  grid-area: 2/1/2/3;
  text-align: center;
  margin: 0px auto;
}

.bat-lead-capture-form .legal-consent-container p {
  line-height: 1.5 !important;
  margin-bottom: 0;
  font-weight: 400;
  color: #fff;
  text-align: left;
}

.bat-lead-capture-form .hs-form-booleancheckbox-display {
  margin: 0 !important;
  display: flex;
}

.bat-lead-capture-form .hs-form-booleancheckbox-display span {
  margin-left: 8px;
}

.bat-lead-capture-form .hs-fieldtype-booleancheckbox {
  margin-bottom: 0 !important;
}

form.bat-lead-capture-form .legal-consent-container label.hs-form-booleancheckbox-display span a {
  color: #fff !important;
}

.bat-lead-capture-form > .hs_error_rollup {
  display: none !important;
}

.bat-lead-capture-form ul.no-list.hs-error-msgs.inputs-list + ul.no-list.hs-error-msgs.inputs-list {
  display: none;
}

.bat-lead-capture-form .form-inline-fields {
  column-gap: 20px;
  max-width: 1140px;
}

.bat-lead-capture-form .form-inline-fields .input {
  min-width: 220px;
}

.bat-lead-capture-form .form-inline-fields fieldset {
  max-width: unset;
}

@media only screen and (min-width: 768px) {
  .bat-lead-capture-form .form-inline-fields fieldset {
    width: 33.3333%;
  }
}

.bat-lead-capture-form .form-inline-submit {
  position: relative;
  z-index: 20;
}

.navbar-default {
  border-color: #fff !important;
}

@media only screen and (max-width: 992px) {
  .container {
    max-width: 90vw !important;
  }
}

#bat-report-tracking-indicator-text {
  line-height: 1.15;
}

#bat-report-indicator-animations > [data-step] {
  transition: opacity 0.35s ease-in-out;
  max-width: 85vw;
}

@media only screen and (max-width: 767px) {
  #bat-report-download-btn.btn {
    padding: 10px 20px !important;
  }

  #bat-report-lead-capture .h-36 {
    font-size: 26px !important;
  }

  .bat-lead-capture-form .hs-form-field:not(.hs-recaptcha, .hs-fieldtype-booleancheckbox) {
    margin-bottom: 0.5rem !important;
  }

  .bat-lead-capture-form .hs-form-field label {
    margin-bottom: 0.15rem !important;
  }

  #bat-report-status {
    font-size: 200px !important;
  }

  #bat-report-indicator-animations {
    margin-top: -80px !important;
  }
}
